Bug 18099 - Put call number in its own column on inventory screen
Summary: Put call number in its own column on inventory screen
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Galen Charlton
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-13 05:39 UTC by David Cook
Modified: 2017-02-19 20:45 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18099 - Put call number in its own column on inventory screen (1.95 KB, patch)
2017-02-13 05:45 UTC, David Cook
Details | Diff | Splinter Review
Bug 18099 - Put call number in its own column on inventory screen (2.01 KB, patch)
2017-02-13 16:49 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 18099 - Put call number in its own column on inventory screen (2.07 KB, patch)
2017-02-14 10:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18099 - Put call number in its own column on inventory screen (2.08 KB, patch)
2017-02-16 10:45 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2017-02-13 05:39:18 UTC
I had a librarian say this morning that she'd prefer call number to be in its own column on the inventory screen rather than in square brackets in the "Library" column, and I agree with her.

It makes for a cleaner more appropriate interface I think.
Comment 1 David Cook 2017-02-13 05:45:37 UTC
Created attachment 60136 [details] [review]
Bug 18099 - Put call number in its own column on inventory screen

TEST PLAN

0) Apply patch

1) Create an item with a call number in 952$o (e.g. ABC 123)
2) Using the inventory tool, make sure you "Select items you want to check"
which include that item (e.g. Item callnumber between: A and C)
3) Click "Submit"
4) The call number appears in the column marked "Call number"
instead of appearing as [ABC 123] under the library in the
"Library" column
Comment 2 Claire Gravely 2017-02-13 16:49:09 UTC
Created attachment 60163 [details] [review]
Bug 18099 - Put call number in its own column on inventory screen

TEST PLAN

0) Apply patch

1) Create an item with a call number in 952$o (e.g. ABC 123)
2) Using the inventory tool, make sure you "Select items you want to check"
which include that item (e.g. Item callnumber between: A and C)
3) Click "Submit"
4) The call number appears in the column marked "Call number"
instead of appearing as [ABC 123] under the library in the
"Library" column

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Jonathan Druart 2017-02-14 10:39:09 UTC
Created attachment 60182 [details] [review]
Bug 18099 - Put call number in its own column on inventory screen

TEST PLAN

0) Apply patch

1) Create an item with a call number in 952$o (e.g. ABC 123)
2) Using the inventory tool, make sure you "Select items you want to check"
which include that item (e.g. Item callnumber between: A and C)
3) Click "Submit"
4) The call number appears in the column marked "Call number"
instead of appearing as [ABC 123] under the library in the
"Library" column

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-02-16 10:45:08 UTC
Created attachment 60315 [details] [review]
Bug 18099 - Put call number in its own column on inventory screen

TEST PLAN

0) Apply patch

1) Create an item with a call number in 952$o (e.g. ABC 123)
2) Using the inventory tool, make sure you "Select items you want to check"
which include that item (e.g. Item callnumber between: A and C)
3) Click "Submit"
4) The call number appears in the column marked "Call number"
instead of appearing as [ABC 123] under the library in the
"Library" column

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Kyle M Hall 2017-02-17 17:09:30 UTC
Pushed to master for 17.05, thanks David!
Comment 6 Katrin Fischer 2017-02-19 20:45:47 UTC
This won't get ported back to 16.11.x as it is an enhancement.